> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set up a payment method

> Creates a setup intent for collecting payment method details.



## OpenAPI

````yaml openapi-payments.json POST /v1/payment_methods/setup
openapi: 3.1.0
info:
  title: Yorlet Payments API
  description: APIs for managing transactions, payment initiations, and external accounts.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/payment_methods/setup:
    post:
      tags:
        - Payment Methods
      summary: Set up a payment method
      description: Creates a setup intent for collecting payment method details.
      operationId: payment_methods_setup
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                consumer_user_link:
                  type: string
                  description: The consumer user link to associate with the setup session.
                return_url:
                  type: string
                  format: uri
                  description: The URL to redirect the user to after the setup is complete.
                single_use:
                  type: boolean
                  description: >-
                    Whether the resulting payment method should be limited to a
                    single use.
                type:
                  type: string
                  enum:
                    - autogiro
                    - bacs_debit
                    - bank_transfer
                    - card
                    - onemove
                    - pay_by_bank
                    - sepa_debit
                  description: The type of the payment method to set up.
                use_yorlet_sdk:
                  type: boolean
                  description: Whether to use the Yorlet SDK to complete the setup.
              required:
                - type
      responses:
        '200':
          description: Returns a setup object if successful.
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      id:
                        type: string
                        description: Unique identifier for the object.
                      created:
                        type: number
                        description: >-
                          Time at which the object was created. Measured in
                          seconds since the Unix epoch.
                      account:
                        type: string
                        description: >-
                          The account that the object belongs to. Only returned
                          if the request is made with a valid Yorlet-Context
                          header.
                      deleted:
                        type: boolean
                        default: false
                        description: Only returned if the object has been deleted.
                      object:
                        type: string
                        enum:
                          - payment_method
                      billing_details:
                        type:
                          - object
                          - 'null'
                        properties:
                          address:
                            type:
                              - object
                              - 'null'
                            properties:
                              line1:
                                type:
                                  - string
                                  - 'null'
                              line2:
                                type:
                                  - string
                                  - 'null'
                              city:
                                type:
                                  - string
                                  - 'null'
                              country:
                                type:
                                  - string
                                  - 'null'
                              postal_code:
                                type:
                                  - string
                                  - 'null'
                              state:
                                type:
                                  - string
                                  - 'null'
                            description: Billing address for the payment method.
                          email:
                            type:
                              - string
                              - 'null'
                            description: Email address for the payment method.
                          name:
                            type:
                              - string
                              - 'null'
                            description: Full name for the payment method.
                          phone:
                            type:
                              - string
                              - 'null'
                            description: >-
                              Billing phone number associated with the payment
                              method.
                        required:
                          - address
                          - email
                          - name
                          - phone
                        description: >-
                          Billing information associated with the payment
                          method.
                      customer:
                        anyOf:
                          - type: string
                          - type: object
                            properties:
                              id:
                                type: string
                                description: Unique identifier for the object.
                              created:
                                type: number
                                description: >-
                                  Time at which the object was created. Measured
                                  in seconds since the Unix epoch.
                              account:
                                type: string
                                description: >-
                                  The account that the object belongs to. Only
                                  returned if the request is made with a valid
                                  Yorlet-Context header.
                              deleted:
                                type: boolean
                                default: false
                                description: Only returned if the object has been deleted.
                              object:
                                type: string
                                enum:
                                  - customer
                              address:
                                type: object
                                properties:
                                  line1:
                                    type:
                                      - string
                                      - 'null'
                                  line2:
                                    type:
                                      - string
                                      - 'null'
                                  city:
                                    type:
                                      - string
                                      - 'null'
                                  country:
                                    type:
                                      - string
                                      - 'null'
                                  postal_code:
                                    type:
                                      - string
                                      - 'null'
                                  state:
                                    type:
                                      - string
                                      - 'null'
                                description: The customer's address.
                              default_payment_method:
                                anyOf:
                                  - type: string
                                  - type: object
                                    additionalProperties: {}
                                  - type: 'null'
                                description: >-
                                  ID of the default payment method for the
                                  customer.
                              delinquent:
                                type: boolean
                                description: >-
                                  Whether the customer has any unpaid or
                                  past-due invoices.
                              description:
                                type:
                                  - string
                                  - 'null'
                                description: >-
                                  An arbitrary description attached to the
                                  customer.
                              email:
                                type: string
                                format: email
                                description: The customer's email address.
                              invoice_prefix:
                                type: string
                                description: >-
                                  The prefix for the customer used to generate
                                  unique invoice numbers.
                              invoicing:
                                type: object
                                properties:
                                  arrears_emails:
                                    type: boolean
                                    description: >-
                                      Whether the customer should receive
                                      arrears emails.
                                  email_cc:
                                    type: array
                                    items:
                                      type: string
                                      format: email
                                    description: Email addresses to CC on invoice emails.
                                  email_to:
                                    type:
                                      - string
                                      - 'null'
                                    format: email
                                    description: >-
                                      The primary email address to send invoices
                                      to. Defaults to the customer email when
                                      not set.
                                required:
                                  - arrears_emails
                                  - email_cc
                                description: Invoicing preferences for the customer.
                              legal:
                                type: object
                                properties:
                                  dob:
                                    type: object
                                    properties:
                                      day:
                                        type:
                                          - integer
                                          - 'null'
                                        minimum: 1
                                        maximum: 31
                                      month:
                                        type:
                                          - integer
                                          - 'null'
                                        minimum: 1
                                        maximum: 12
                                      year:
                                        type:
                                          - integer
                                          - 'null'
                                        minimum: 1900
                                        maximum: 9999
                                    required:
                                      - day
                                      - month
                                      - year
                                    description: The customer's date of birth.
                                  first_name:
                                    type:
                                      - string
                                      - 'null'
                                    description: The customer's legal first name.
                                  last_name:
                                    type:
                                      - string
                                      - 'null'
                                    description: The customer's legal last name.
                                required:
                                  - dob
                                  - first_name
                                  - last_name
                                description: Legal information about the customer.
                              metadata:
                                type:
                                  - object
                                  - 'null'
                                additionalProperties:
                                  type: string
                                description: >-
                                  Set of key-value pairs that you can attach to
                                  an object. This can be useful for storing
                                  additional information about the object in a
                                  structured format.
                              name:
                                type:
                                  - string
                                  - 'null'
                                description: The customer's full name.
                              phone:
                                type:
                                  - string
                                  - 'null'
                                description: The customer's phone number.
                              radar:
                                type: object
                                properties:
                                  message:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      A human-readable message describing the
                                      radar assessment of the customer.
                                  reason:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      A machine-readable reason for the radar
                                      assessment of the customer.
                                  risk_level:
                                    type: string
                                    description: >-
                                      The risk level assigned to the customer by
                                      radar.
                                required:
                                  - message
                                  - reason
                                  - risk_level
                                description: Radar's risk assessment of the customer.
                            required:
                              - id
                              - created
                              - object
                              - address
                              - default_payment_method
                              - delinquent
                              - description
                              - email
                              - invoice_prefix
                              - invoicing
                              - legal
                              - name
                              - phone
                              - radar
                        description: The customer this payment method is attached to.
                      status:
                        type: string
                        enum:
                          - chargeable
                          - pending
                          - failed
                        description: The current status of the payment method.
                      type:
                        type: string
                        enum:
                          - alipay
                        description: The type of the payment method.
                    required:
                      - id
                      - created
                      - object
                      - billing_details
                      - customer
                      - status
                      - type
                    title: Alipay
                    description: The Alipay payment method.
                  - type: object
                    properties:
                      id:
                        type: string
                        description: Unique identifier for the object.
                      created:
                        type: number
                        description: >-
                          Time at which the object was created. Measured in
                          seconds since the Unix epoch.
                      account:
                        type: string
                        description: >-
                          The account that the object belongs to. Only returned
                          if the request is made with a valid Yorlet-Context
                          header.
                      deleted:
                        type: boolean
                        default: false
                        description: Only returned if the object has been deleted.
                      object:
                        type: string
                        enum:
                          - payment_method
                      billing_details:
                        type:
                          - object
                          - 'null'
                        properties:
                          address:
                            type:
                              - object
                              - 'null'
                            properties:
                              line1:
                                type:
                                  - string
                                  - 'null'
                              line2:
                                type:
                                  - string
                                  - 'null'
                              city:
                                type:
                                  - string
                                  - 'null'
                              country:
                                type:
                                  - string
                                  - 'null'
                              postal_code:
                                type:
                                  - string
                                  - 'null'
                              state:
                                type:
                                  - string
                                  - 'null'
                            description: Billing address for the payment method.
                          email:
                            type:
                              - string
                              - 'null'
                            description: Email address for the payment method.
                          name:
                            type:
                              - string
                              - 'null'
                            description: Full name for the payment method.
                          phone:
                            type:
                              - string
                              - 'null'
                            description: >-
                              Billing phone number associated with the payment
                              method.
                        required:
                          - address
                          - email
                          - name
                          - phone
                        description: >-
                          Billing information associated with the payment
                          method.
                      customer:
                        anyOf:
                          - type: string
                          - type: object
                            properties:
                              id:
                                type: string
                                description: Unique identifier for the object.
                              created:
                                type: number
                                description: >-
                                  Time at which the object was created. Measured
                                  in seconds since the Unix epoch.
                              account:
                                type: string
                                description: >-
                                  The account that the object belongs to. Only
                                  returned if the request is made with a valid
                                  Yorlet-Context header.
                              deleted:
                                type: boolean
                                default: false
                                description: Only returned if the object has been deleted.
                              object:
                                type: string
                                enum:
                                  - customer
                              address:
                                type: object
                                properties:
                                  line1:
                                    type:
                                      - string
                                      - 'null'
                                  line2:
                                    type:
                                      - string
                                      - 'null'
                                  city:
                                    type:
                                      - string
                                      - 'null'
                                  country:
                                    type:
                                      - string
                                      - 'null'
                                  postal_code:
                                    type:
                                      - string
                                      - 'null'
                                  state:
                                    type:
                                      - string
                                      - 'null'
                                description: The customer's address.
                              default_payment_method:
                                anyOf:
                                  - type: string
                                  - type: object
                                    additionalProperties: {}
                                  - type: 'null'
                                description: >-
                                  ID of the default payment method for the
                                  customer.
                              delinquent:
                                type: boolean
                                description: >-
                                  Whether the customer has any unpaid or
                                  past-due invoices.
                              description:
                                type:
                                  - string
                                  - 'null'
                                description: >-
                                  An arbitrary description attached to the
                                  customer.
                              email:
                                type: string
                                format: email
                                description: The customer's email address.
                              invoice_prefix:
                                type: string
                                description: >-
                                  The prefix for the customer used to generate
                                  unique invoice numbers.
                              invoicing:
                                type: object
                                properties:
                                  arrears_emails:
                                    type: boolean
                                    description: >-
                                      Whether the customer should receive
                                      arrears emails.
                                  email_cc:
                                    type: array
                                    items:
                                      type: string
                                      format: email
                                    description: Email addresses to CC on invoice emails.
                                  email_to:
                                    type:
                                      - string
                                      - 'null'
                                    format: email
                                    description: >-
                                      The primary email address to send invoices
                                      to. Defaults to the customer email when
                                      not set.
                                required:
                                  - arrears_emails
                                  - email_cc
                                description: Invoicing preferences for the customer.
                              legal:
                                type: object
                                properties:
                                  dob:
                                    type: object
                                    properties:
                                      day:
                                        type:
                                          - integer
                                          - 'null'
                                        minimum: 1
                                        maximum: 31
                                      month:
                                        type:
                                          - integer
                                          - 'null'
                                        minimum: 1
                                        maximum: 12
                                      year:
                                        type:
                                          - integer
                                          - 'null'
                                        minimum: 1900
                                        maximum: 9999
                                    required:
                                      - day
                                      - month
                                      - year
                                    description: The customer's date of birth.
                                  first_name:
                                    type:
                                      - string
                                      - 'null'
                                    description: The customer's legal first name.
                                  last_name:
                                    type:
                                      - string
                                      - 'null'
                                    description: The customer's legal last name.
                                required:
                                  - dob
                                  - first_name
                                  - last_name
                                description: Legal information about the customer.
                              metadata:
                                type:
                                  - object
                                  - 'null'
                                additionalProperties:
                                  type: string
                                description: >-
                                  Set of key-value pairs that you can attach to
                                  an object. This can be useful for storing
                                  additional information about the object in a
                                  structured format.
                              name:
                                type:
                                  - string
                                  - 'null'
                                description: The customer's full name.
                              phone:
                                type:
                                  - string
                                  - 'null'
                                description: The customer's phone number.
                              radar:
                                type: object
                                properties:
                                  message:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      A human-readable message describing the
                                      radar assessment of the customer.
                                  reason:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      A machine-readable reason for the radar
                                      assessment of the customer.
                                  risk_level:
                                    type: string
                                    description: >-
                                      The risk level assigned to the customer by
                                      radar.
                                required:
                                  - message
                                  - reason
                                  - risk_level
                                description: Radar's risk assessment of the customer.
                            required:
                              - id
                              - created
                              - object
                              - address
                              - default_payment_method
                              - delinquent
                              - description
                              - email
                              - invoice_prefix
                              - invoicing
                              - legal
                              - name
                              - phone
                              - radar
                        description: The customer this payment method is attached to.
                      status:
                        type: string
                        enum:
                          - chargeable
                          - pending
                          - failed
                        description: The current status of the payment method.
                      type:
                        type: string
                        enum:
                          - autogiro
                        description: The type of the payment method.
                    required:
                      - id
                      - created
                      - object
                      - billing_details
                      - customer
                      - status
                      - type
                    title: Autogiro
                    description: The Autogiro payment method.
                  - type: object
                    properties:
                      id:
                        type: string
                        description: Unique identifier for the object.
                      created:
                        type: number
                        description: >-
                          Time at which the object was created. Measured in
                          seconds since the Unix epoch.
                      account:
                        type: string
                        description: >-
                          The account that the object belongs to. Only returned
                          if the request is made with a valid Yorlet-Context
                          header.
                      deleted:
                        type: boolean
                        default: false
                        description: Only returned if the object has been deleted.
                      object:
                        type: string
                        enum:
                          - payment_method
                      billing_details:
                        type:
                          - object
                          - 'null'
                        properties:
                          address:
                            type:
                              - object
                              - 'null'
                            properties:
                              line1:
                                type:
                                  - string
                                  - 'null'
                              line2:
                                type:
                                  - string
                                  - 'null'
                              city:
                                type:
                                  - string
                                  - 'null'
                              country:
                                type:
                                  - string
                                  - 'null'
                              postal_code:
                                type:
                                  - string
                                  - 'null'
                              state:
                                type:
                                  - string
                                  - 'null'
                            description: Billing address for the payment method.
                          email:
                            type:
                              - string
                              - 'null'
                            description: Email address for the payment method.
                          name:
                            type:
                              - string
                              - 'null'
                            description: Full name for the payment method.
                          phone:
                            type:
                              - string
                              - 'null'
                            description: >-
                              Billing phone number associated with the payment
                              method.
                        required:
                          - address
                          - email
                          - name
                          - phone
                        description: >-
                          Billing information associated with the payment
                          method.
                      customer:
                        anyOf:
                          - type: string
                          - type: object
                            properties:
                              id:
                                type: string
                                description: Unique identifier for the object.
                              created:
                                type: number
                                description: >-
                                  Time at which the object was created. Measured
                                  in seconds since the Unix epoch.
                              account:
                                type: string
                                description: >-
                                  The account that the object belongs to. Only
                                  returned if the request is made with a valid
                                  Yorlet-Context header.
                              deleted:
                                type: boolean
                                default: false
                                description: Only returned if the object has been deleted.
                              object:
                                type: string
                                enum:
                                  - customer
                              address:
                                type: object
                                properties:
                                  line1:
                                    type:
                                      - string
                                      - 'null'
                                  line2:
                                    type:
                                      - string
                                      - 'null'
                                  city:
                                    type:
                                      - string
                                      - 'null'
                                  country:
                                    type:
                                      - string
                                      - 'null'
                                  postal_code:
                                    type:
                                      - string
                                      - 'null'
                                  state:
                                    type:
                                      - string
                                      - 'null'
                                description: The customer's address.
                              default_payment_method:
                                anyOf:
                                  - type: string
                                  - type: object
                                    additionalProperties: {}
                                  - type: 'null'
                                description: >-
                                  ID of the default payment method for the
                                  customer.
                              delinquent:
                                type: boolean
                                description: >-
                                  Whether the customer has any unpaid or
                                  past-due invoices.
                              description:
                                type:
                                  - string
                                  - 'null'
                                description: >-
                                  An arbitrary description attached to the
                                  customer.
                              email:
                                type: string
                                format: email
                                description: The customer's email address.
                              invoice_prefix:
                                type: string
                                description: >-
                                  The prefix for the customer used to generate
                                  unique invoice numbers.
                              invoicing:
                                type: object
                                properties:
                                  arrears_emails:
                                    type: boolean
                                    description: >-
                                      Whether the customer should receive
                                      arrears emails.
                                  email_cc:
                                    type: array
                                    items:
                                      type: string
                                      format: email
                                    description: Email addresses to CC on invoice emails.
                                  email_to:
                                    type:
                                      - string
                                      - 'null'
                                    format: email
                                    description: >-
                                      The primary email address to send invoices
                                      to. Defaults to the customer email when
                                      not set.
                                required:
                                  - arrears_emails
                                  - email_cc
                                description: Invoicing preferences for the customer.
                              legal:
                                type: object
                                properties:
                                  dob:
                                    type: object
                                    properties:
                                      day:
                                        type:
                                          - integer
                                          - 'null'
                                        minimum: 1
                                        maximum: 31
                                      month:
                                        type:
                                          - integer
                                          - 'null'
                                        minimum: 1
                                        maximum: 12
                                      year:
                                        type:
                                          - integer
                                          - 'null'
                                        minimum: 1900
                                        maximum: 9999
                                    required:
                                      - day
                                      - month
                                      - year
                                    description: The customer's date of birth.
                                  first_name:
                                    type:
                                      - string
                                      - 'null'
                                    description: The customer's legal first name.
                                  last_name:
                                    type:
                                      - string
                                      - 'null'
                                    description: The customer's legal last name.
                                required:
                                  - dob
                                  - first_name
                                  - last_name
                                description: Legal information about the customer.
                              metadata:
                                type:
                                  - object
                                  - 'null'
                                additionalProperties:
                                  type: string
                                description: >-
                                  Set of key-value pairs that you can attach to
                                  an object. This can be useful for storing
                                  additional information about the object in a
                                  structured format.
                              name:
                                type:
                                  - string
                                  - 'null'
                                description: The customer's full name.
                              phone:
                                type:
                                  - string
                                  - 'null'
                                description: The customer's phone number.
                              radar:
                                type: object
                                properties:
                                  message:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      A human-readable message describing the
                                      radar assessment of the customer.
                                  reason:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      A machine-readable reason for the radar
                                      assessment of the customer.
                                  risk_level:
                                    type: string
                                    description: >-
                                      The risk level assigned to the customer by
                                      radar.
                                required:
                                  - message
                                  - reason
                                  - risk_level
                                description: Radar's risk assessment of the customer.
                            required:
                              - id
                              - created
                              - object
                              - address
                              - default_payment_method
                              - delinquent
                              - description
                              - email
                              - invoice_prefix
                              - invoicing
                              - legal
                              - name
                              - phone
                              - radar
                        description: The customer this payment method is attached to.
                      status:
                        type: string
                        enum:
                          - chargeable
                          - pending
                          - failed
                        description: The current status of the payment method.
                      type:
                        type: string
                        enum:
                          - bacs_debit
                        description: The type of the payment method.
                      bacs_debit:
                        type: object
                        properties:
                          fingerprint:
                            type:
                              - string
                              - 'null'
                            description: Uniquely identifies this particular bank account.
                          last4:
                            type:
                              - string
                              - 'null'
                            description: Last four digits of the bank account number.
                          sort_code:
                            type:
                              - string
                              - 'null'
                            description: Sort code of the bank account.
                        required:
                          - fingerprint
                          - last4
                          - sort_code
                        description: >-
                          Information about the Bacs Direct Debit payment
                          method.
                    required:
                      - id
                      - created
                      - object
                      - billing_details
                      - customer
                      - status
                      - type
                      - bacs_debit
                    title: Bacs debit
                    description: The Bacs debit payment method.
                  - type: object
                    properties:
                      id:
                        type: string
                        description: Unique identifier for the object.
                      created:
                        type: number
                        description: >-
                          Time at which the object was created. Measured in
                          seconds since the Unix epoch.
                      account:
                        type: string
                        description: >-
                          The account that the object belongs to. Only returned
                          if the request is made with a valid Yorlet-Context
                          header.
                      deleted:
                        type: boolean
                        default: false
                        description: Only returned if the object has been deleted.
                      object:
                        type: string
                        enum:
                          - payment_method
                      billing_details:
                        type:
                          - object
                          - 'null'
                        properties:
                          address:
                            type:
                              - object
                              - 'null'
                            properties:
                              line1:
                                type:
                                  - string
                                  - 'null'
                              line2:
                                type:
                                  - string
                                  - 'null'
                              city:
                                type:
                                  - string
                                  - 'null'
                              country:
                                type:
                                  - string
                                  - 'null'
                              postal_code:
                                type:
                                  - string
                                  - 'null'
                              state:
                                type:
                                  - string
                                  - 'null'
                            description: Billing address for the payment method.
                          email:
                            type:
                              - string
                              - 'null'
                            description: Email address for the payment method.
                          name:
                            type:
                              - string
                              - 'null'
                            description: Full name for the payment method.
                          phone:
                            type:
                              - string
                              - 'null'
                            description: >-
                              Billing phone number associated with the payment
                              method.
                        required:
                          - address
                          - email
                          - name
                          - phone
                        description: >-
                          Billing information associated with the payment
                          method.
                      customer:
                        anyOf:
                          - type: string
                          - type: object
                            properties:
                              id:
                                type: string
                                description: Unique identifier for the object.
                              created:
                                type: number
                                description: >-
                                  Time at which the object was created. Measured
                                  in seconds since the Unix epoch.
                              account:
                                type: string
                                description: >-
                                  The account that the object belongs to. Only
                                  returned if the request is made with a valid
                                  Yorlet-Context header.
                              deleted:
                                type: boolean
                                default: false
                                description: Only returned if the object has been deleted.
                              object:
                                type: string
                                enum:
                                  - customer
                              address:
                                type: object
                                properties:
                                  line1:
                                    type:
                                      - string
                                      - 'null'
                                  line2:
                                    type:
                                      - string
                                      - 'null'
                                  city:
                                    type:
                                      - string
                                      - 'null'
                                  country:
                                    type:
                                      - string
                                      - 'null'
                                  postal_code:
                                    type:
                                      - string
                                      - 'null'
                                  state:
                                    type:
                                      - string
                                      - 'null'
                                description: The customer's address.
                              default_payment_method:
                                anyOf:
                                  - type: string
                                  - type: object
                                    additionalProperties: {}
                                  - type: 'null'
                                description: >-
                                  ID of the default payment method for the
                                  customer.
                              delinquent:
                                type: boolean
                                description: >-
                                  Whether the customer has any unpaid or
                                  past-due invoices.
                              description:
                                type:
                                  - string
                                  - 'null'
                                description: >-
                                  An arbitrary description attached to the
                                  customer.
                              email:
                                type: string
                                format: email
                                description: The customer's email address.
                              invoice_prefix:
                                type: string
                                description: >-
                                  The prefix for the customer used to generate
                                  unique invoice numbers.
                              invoicing:
                                type: object
                                properties:
                                  arrears_emails:
                                    type: boolean
                                    description: >-
                                      Whether the customer should receive
                                      arrears emails.
                                  email_cc:
                                    type: array
                                    items:
                                      type: string
                                      format: email
                                    description: Email addresses to CC on invoice emails.
                                  email_to:
                                    type:
                                      - string
                                      - 'null'
                                    format: email
                                    description: >-
                                      The primary email address to send invoices
                                      to. Defaults to the customer email when
                                      not set.
                                required:
                                  - arrears_emails
                                  - email_cc
                                description: Invoicing preferences for the customer.
                              legal:
                                type: object
                                properties:
                                  dob:
                                    type: object
                                    properties:
                                      day:
                                        type:
                                          - integer
                                          - 'null'
                                        minimum: 1
                                        maximum: 31
                                      month:
                                        type:
                                          - integer
                                          - 'null'
                                        minimum: 1
                                        maximum: 12
                                      year:
                                        type:
                                          - integer
                                          - 'null'
                                        minimum: 1900
                                        maximum: 9999
                                    required:
                                      - day
                                      - month
                                      - year
                                    description: The customer's date of birth.
                                  first_name:
                                    type:
                                      - string
                                      - 'null'
                                    description: The customer's legal first name.
                                  last_name:
                                    type:
                                      - string
                                      - 'null'
                                    description: The customer's legal last name.
                                required:
                                  - dob
                                  - first_name
                                  - last_name
                                description: Legal information about the customer.
                              metadata:
                                type:
                                  - object
                                  - 'null'
                                additionalProperties:
                                  type: string
                                description: >-
                                  Set of key-value pairs that you can attach to
                                  an object. This can be useful for storing
                                  additional information about the object in a
                                  structured format.
                              name:
                                type:
                                  - string
                                  - 'null'
                                description: The customer's full name.
                              phone:
                                type:
                                  - string
                                  - 'null'
                                description: The customer's phone number.
                              radar:
                                type: object
                                properties:
                                  message:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      A human-readable message describing the
                                      radar assessment of the customer.
                                  reason:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      A machine-readable reason for the radar
                                      assessment of the customer.
                                  risk_level:
                                    type: string
                                    description: >-
                                      The risk level assigned to the customer by
                                      radar.
                                required:
                                  - message
                                  - reason
                                  - risk_level
                                description: Radar's risk assessment of the customer.
                            required:
                              - id
                              - created
                              - object
                              - address
                              - default_payment_method
                              - delinquent
                              - description
                              - email
                              - invoice_prefix
                              - invoicing
                              - legal
                              - name
                              - phone
                              - radar
                        description: The customer this payment method is attached to.
                      status:
                        type: string
                        enum:
                          - chargeable
                          - pending
                          - failed
                        description: The current status of the payment method.
                      type:
                        type: string
                        enum:
                          - bank_transfer
                        description: The type of the payment method.
                      bank_transfer:
                        type: object
                        properties:
                          balance:
                            type:
                              - number
                              - 'null'
                            description: >-
                              The available balance on the bank transfer payment
                              method.
                          country:
                            type:
                              - string
                              - 'null'
                            description: >-
                              Two-letter ISO code representing the country of
                              the bank account.
                          financial_addresses:
                            type: array
                            items:
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - sort_code
                                  description: The type of financial address.
                                sort_code:
                                  type: object
                                  properties:
                                    account_holder_address:
                                      type:
                                        - object
                                        - 'null'
                                      properties:
                                        line1:
                                          type:
                                            - string
                                            - 'null'
                                        line2:
                                          type:
                                            - string
                                            - 'null'
                                        city:
                                          type:
                                            - string
                                            - 'null'
                                        country:
                                          type:
                                            - string
                                            - 'null'
                                        postal_code:
                                          type:
                                            - string
                                            - 'null'
                                        state:
                                          type:
                                            - string
                                            - 'null'
                                      description: The address of the account holder.
                                    account_holder_name:
                                      type:
                                        - string
                                        - 'null'
                                      description: The name of the account holder.
                                    account_number:
                                      type:
                                        - string
                                        - 'null'
                                      description: The bank account number.
                                    bank_address:
                                      type:
                                        - object
                                        - 'null'
                                      properties:
                                        line1:
                                          type:
                                            - string
                                            - 'null'
                                        line2:
                                          type:
                                            - string
                                            - 'null'
                                        city:
                                          type:
                                            - string
                                            - 'null'
                                        country:
                                          type:
                                            - string
                                            - 'null'
                                        postal_code:
                                          type:
                                            - string
                                            - 'null'
                                        state:
                                          type:
                                            - string
                                            - 'null'
                                      description: The address of the bank.
                                    sort_code:
                                      type:
                                        - string
                                        - 'null'
                                      description: The sort code of the bank account.
                                  required:
                                    - account_holder_name
                                    - account_number
                                    - sort_code
                                  description: UK sort code financial address.
                                supported_networks:
                                  type:
                                    - array
                                    - 'null'
                                  items:
                                    type: string
                                    enum:
                                      - bacs
                                      - fps
                                  description: >-
                                    The networks supported by this financial
                                    address.
                              required:
                                - type
                                - sort_code
                                - supported_networks
                            description: >-
                              The financial addresses available for receiving
                              bank transfers.
                          reconciliation_deadline:
                            type:
                              - integer
                              - 'null'
                            description: >-
                              The deadline by which the bank transfer must be
                              reconciled.
                          type:
                            type:
                              - string
                              - 'null'
                            enum:
                              - gb_bank_account
                              - eu_bank_account
                              - jp_bank_account
                              - us_bank_account
                              - mx_bank_account
                              - gb_bank_transfer
                              - eu_bank_transfer
                              - jp_bank_transfer
                              - us_bank_transfer
                              - mx_bank_transfer
                              - null
                            description: The type of bank transfer or bank account.
                        required:
                          - balance
                          - country
                          - financial_addresses
                          - reconciliation_deadline
                          - type
                        description: Information about the bank transfer payment method.
                    required:
                      - id
                      - created
                      - object
                      - billing_details
                      - customer
                      - status
                      - type
                      - bank_transfer
                    title: Bank transfer
                    description: The bank transfer payment method.
                  - type: object
                    properties:
                      id:
                        type: string
                        description: Unique identifier for the object.
                      created:
                        type: number
                        description: >-
                          Time at which the object was created. Measured in
                          seconds since the Unix epoch.
                      account:
                        type: string
                        description: >-
                          The account that the object belongs to. Only returned
                          if the request is made with a valid Yorlet-Context
                          header.
                      deleted:
                        type: boolean
                        default: false
                        description: Only returned if the object has been deleted.
                      object:
                        type: string
                        enum:
                          - payment_method
                      billing_details:
                        type:
                          - object
                          - 'null'
                        properties:
                          address:
                            type:
                              - object
                              - 'null'
                            properties:
                              line1:
                                type:
                                  - string
                                  - 'null'
                              line2:
                                type:
                                  - string
                                  - 'null'
                              city:
                                type:
                                  - string
                                  - 'null'
                              country:
                                type:
                                  - string
                                  - 'null'
                              postal_code:
                                type:
                                  - string
                                  - 'null'
                              state:
                                type:
                                  - string
                                  - 'null'
                            description: Billing address for the payment method.
                          email:
                            type:
                              - string
                              - 'null'
                            description: Email address for the payment method.
                          name:
                            type:
                              - string
                              - 'null'
                            description: Full name for the payment method.
                          phone:
                            type:
                              - string
                              - 'null'
                            description: >-
                              Billing phone number associated with the payment
                              method.
                        required:
                          - address
                          - email
                          - name
                          - phone
                        description: >-
                          Billing information associated with the payment
                          method.
                      customer:
                        anyOf:
                          - type: string
                          - type: object
                            properties:
                              id:
                                type: string
                                description: Unique identifier for the object.
                              created:
                                type: number
                                description: >-
                                  Time at which the object was created. Measured
                                  in seconds since the Unix epoch.
                              account:
                                type: string
                                description: >-
                                  The account that the object belongs to. Only
                                  returned if the request is made with a valid
                                  Yorlet-Context header.
                              deleted:
                                type: boolean
                                default: false
                                description: Only returned if the object has been deleted.
                              object:
                                type: string
                                enum:
                                  - customer
                              address:
                                type: object
                                properties:
                                  line1:
                                    type:
                                      - string
                                      - 'null'
                                  line2:
                                    type:
                                      - string
                                      - 'null'
                                  city:
                                    type:
                                      - string
                                      - 'null'
                                  country:
                                    type:
                                      - string
                                      - 'null'
                                  postal_code:
                                    type:
                                      - string
                                      - 'null'
                                  state:
                                    type:
                                      - string
                                      - 'null'
                                description: The customer's address.
                              default_payment_method:
                                anyOf:
                                  - type: string
                                  - type: object
                                    additionalProperties: {}
                                  - type: 'null'
                                description: >-
                                  ID of the default payment method for the
                                  customer.
                              delinquent:
                                type: boolean
                                description: >-
                                  Whether the customer has any unpaid or
                                  past-due invoices.
                              description:
                                type:
                                  - string
                                  - 'null'
                                description: >-
                                  An arbitrary description attached to the
                                  customer.
                              email:
                                type: string
                                format: email
                                description: The customer's email address.
                              invoice_prefix:
                                type: string
                                description: >-
                                  The prefix for the customer used to generate
                                  unique invoice numbers.
                              invoicing:
                                type: object
                                properties:
                                  arrears_emails:
                                    type: boolean
                                    description: >-
                                      Whether the customer should receive
                                      arrears emails.
                                  email_cc:
                                    type: array
                                    items:
                                      type: string
                                      format: email
                                    description: Email addresses to CC on invoice emails.
                                  email_to:
                                    type:
                                      - string
                                      - 'null'
                                    format: email
                                    description: >-
                                      The primary email address to send invoices
                                      to. Defaults to the customer email when
                                      not set.
                                required:
                                  - arrears_emails
                                  - email_cc
                                description: Invoicing preferences for the customer.
                              legal:
                                type: object
                                properties:
                                  dob:
                                    type: object
                                    properties:
                                      day:
                                        type:
                                          - integer
                                          - 'null'
                                        minimum: 1
                                        maximum: 31
                                      month:
                                        type:
                                          - integer
                                          - 'null'
                                        minimum: 1
                                        maximum: 12
                                      year:
                                        type:
                                          - integer
                                          - 'null'
                                        minimum: 1900
                                        maximum: 9999
                                    required:
                                      - day
                                      - month
                                      - year
                                    description: The customer's date of birth.
                                  first_name:
                                    type:
                                      - string
                                      - 'null'
                                    description: The customer's legal first name.
                                  last_name:
                                    type:
                                      - string
                                      - 'null'
                                    description: The customer's legal last name.
                                required:
                                  - dob
                                  - first_name
                                  - last_name
                                description: Legal information about the customer.
                              metadata:
                                type:
                                  - object
                                  - 'null'
                                additionalProperties:
                                  type: string
                                description: >-
                                  Set of key-value pairs that you can attach to
                                  an object. This can be useful for storing
                                  additional information about the object in a
                                  structured format.
                              name:
                                type:
                                  - string
                                  - 'null'
                                description: The customer's full name.
                              phone:
                                type:
                                  - string
                                  - 'null'
                                description: The customer's phone number.
                              radar:
                                type: object
                                properties:
                                  message:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      A human-readable message describing the
                                      radar assessment of the customer.
                                  reason:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      A machine-readable reason for the radar
                                      assessment of the customer.
                                  risk_level:
                                    type: string
                                    description: >-
                                      The risk level assigned to the customer by
                                      radar.
                                required:
                                  - message
                                  - reason
                                  - risk_level
                                description: Radar's risk assessment of the customer.
                            required:
                              - id
                              - created
                              - object
                              - address
                              - default_payment_method
                              - delinquent
                              - description
                              - email
                              - invoice_prefix
                              - invoicing
                              - legal
                              - name
                              - phone
                              - radar
                        description: The customer this payment method is attached to.
                      status:
                        type: string
                        enum:
                          - chargeable
                          - pending
                          - failed
                        description: The current status of the payment method.
                      type:
                        type: string
                        enum:
                          - card_present
                        description: The type of the payment method.
                      card_present:
                        type: object
                        properties:
                          brand:
                            type:
                              - string
                              - 'null'
                            description: Card brand.
                          cardholder_name:
                            type:
                              - string
                              - 'null'
                            description: The cardholder name as read from the card.
                          country:
                            type:
                              - string
                              - 'null'
                            description: >-
                              Two-letter ISO code representing the country of
                              the card.
                          exp_month:
                            type: number
                            description: >-
                              Two-digit number representing the card’s
                              expiration month.
                          exp_year:
                            type: number
                            description: >-
                              Four-digit number representing the card’s
                              expiration year.
                          fingerprint:
                            type:
                              - string
                              - 'null'
                            description: Uniquely identifies this particular card number.
                          funding:
                            type:
                              - string
                              - 'null'
                            enum:
                              - credit
                              - debit
                              - prepaid
                              - unknown
                              - null
                            description: Card funding type.
                          last4:
                            type: string
                            description: The last four digits of the card number.
                          read_method:
                            type:
                              - string
                              - 'null'
                            description: How the card details were read by the reader.
                          terminal:
                            type:
                              - string
                              - 'null'
                            description: The terminal reader that captured the card.
                        required:
                          - brand
                          - cardholder_name
                          - country
                          - exp_month
                          - exp_year
                          - fingerprint
                          - funding
                          - last4
                          - read_method
                        description: Information about the card-present payment method.
                    required:
                      - id
                      - created
                      - object
                      - billing_details
                      - customer
                      - status
                      - type
                      - card_present
                    title: Card present
                    description: The card present payment method.
                  - type: object
                    properties:
                      id:
                        type: string
                        description: Unique identifier for the object.
                      created:
                        type: number
                        description: >-
                          Time at which the object was created. Measured in
                          seconds since the Unix epoch.
                      account:
                        type: string
                        description: >-
                          The account that the object belongs to. Only returned
                          if the request is made with a valid Yorlet-Context
                          header.
                      deleted:
                        type: boolean
                        default: false
                        description: Only returned if the object has been deleted.
                      object:
                        type: string
                        enum:
                          - payment_method
                      billing_details:
                        type:
                          - object
                          - 'null'
                        properties:
                          address:
                            type:
                              - object
                              - 'null'
                            properties:
                              line1:
                                type:
                                  - string
                                  - 'null'
                              line2:
                                type:
                                  - string
                                  - 'null'
                              city:
                                type:
                                  - string
                                  - 'null'
                              country:
                                type:
                                  - string
                                  - 'null'
                              postal_code:
                                type:
                                  - string
                                  - 'null'
                              state:
                                type:
                                  - string
                                  - 'null'
                            description: Billing address for the payment method.
                          email:
                            type:
                              - string
                              - 'null'
                            description: Email address for the payment method.
                          name:
                            type:
                              - string
                              - 'null'
                            description: Full name for the payment method.
                          phone:
                            type:
                              - string
                              - 'null'
                            description: >-
                              Billing phone number associated with the payment
                              method.
                        required:
                          - address
                          - email
                          - name
                          - phone
                        description: >-
                          Billing information associated with the payment
                          method.
                      customer:
                        anyOf:
                          - type: string
                          - type: object
                            properties:
                              id:
                                type: string
                                description: Unique identifier for the object.
                              created:
                                type: number
                                description: >-
                                  Time at which the object was created. Measured
                                  in seconds since the Unix epoch.
                              account:
                                type: string
                                description: >-
                                  The account that the object belongs to. Only
                                  returned if the request is made with a valid
                                  Yorlet-Context header.
                              deleted:
                                type: boolean
                                default: false
                                description: Only returned if the object has been deleted.
                              object:
                                type: string
                                enum:
                                  - customer
                              address:
                                type: object
                                properties:
                                  line1:
                                    type:
                                      - string
                                      - 'null'
                                  line2:
                                    type:
                                      - string
                                      - 'null'
                                  city:
                                    type:
                                      - string
                                      - 'null'
                                  country:
                                    type:
                                      - string
                                      - 'null'
                                  postal_code:
                                    type:
                                      - string
                                      - 'null'
                                  state:
                                    type:
                                      - string
                                      - 'null'
                                description: The customer's address.
                              default_payment_method:
                                anyOf:
                                  - type: string
                                  - type: object
                                    additionalProperties: {}
                                  - type: 'null'
                                description: >-
                                  ID of the default payment method for the
                                  customer.
                              delinquent:
                                type: boolean
                                description: >-
                                  Whether the customer has any unpaid or
                                  past-due invoices.
                              description:
                                type:
                                  - string
                                  - 'null'
                                description: >-
                                  An arbitrary description attached to the
                                  customer.
                              email:
                                type: string
                                format: email
                                description: The customer's email address.
                              invoice_prefix:
                                type: string
                                description: >-
                                  The prefix for the customer used to generate
                                  unique invoice numbers.
                              invoicing:
                                type: object
                                properties:
                                  arrears_emails:
                                    type: boolean
                                    description: >-
                                      Whether the customer should receive
                                      arrears emails.
                                  email_cc:
                                    type: array
                                    items:
                                      type: string
                                      format: email
                                    description: Email addresses to CC on invoice emails.
                                  email_to:
[...]
